Bug 12864 - Add LOC SRU server to sample z3950servers.sql
Summary: Add LOC SRU server to sample z3950servers.sql
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-03 11:42 UTC by Marcel de Rooy
Modified: 2015-06-04 23:33 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12864: Add LOC SRU server to sample z3950servers.sql (4.81 KB, patch)
2014-09-03 11:46 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 12864: Add LOC SRU server to sample z3950servers.sql (5.04 KB, patch)
2014-09-03 12:41 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 12864: Add LOC SRU server to sample z3950servers.sql (5.12 KB, patch)
2014-09-04 07:09 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2014-09-03 11:42:48 UTC
Add LOC SRU server to sample servers installed.
This patch modifies four language files: de, en, es and nb.
For the other languages this may not be useful.
Comment 1 Marcel de Rooy 2014-09-03 11:46:22 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-09-03 12:41:56 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2014-09-04 07:09:59 UTC
Created attachment 31362 [details] [review]
[PASSED QA] Bug 12864: Add LOC SRU server to sample z3950servers.sql

Add LOC SRU server to sample servers installed.
This patch modifies four language files: de, en, es and nb.
For the other languages this may not be useful.

Test plan:
You could test this by using the webinstaller.
But you could also (backup) and delete your records in z3950servers, and
run the sample_z3950_servers.sql file from the command line.
Check if you see the new SRU server.

Tested using mysql. I truncated the table (to reset the IDs as well) and then ran the file. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2014-09-04 07:10:26 UTC
Does what it says on the tin.. and a good example to have.
Comment 5 Tomás Cohen Arazi 2014-09-05 15:33:22 UTC
Patch pushed to master.

Thanks Marcel!